import json
from docker import Client

def right_replace(string, old, new, max=1):
    return string[::-1].replace(old[::-1], new[::-1], max)[::-1]

id_list = []
client = Client(base_url='unix://var/run/docker.sock')

with open("platform-complete-okapi-install.json", "r", encoding='utf-8') as f:
    ids = json.loads(f.read())
    print(ids, type(ids))
    for i in ids:
      print(i['id'])
      tag = right_replace(i['id'], '-', ":")
      id_list.append('folioorg/' + tag)
    print(id_list)

for image in id_list:
  for line in client.push('harbor.k2software.cn/' + image, stream=True):
      print(json.dumps(json.loads(line), indent=4))
